﻿.carousel-layout
{
    min-height: 203px;
}

.carousel-layout *
{
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;         /* Opera/IE 8+ */ 
}

.carousel-layout .confirmit-offscreen,
.carousel-layout .confirmit-offscreen-rtl
{
    display: none;
}

.carousel-progress-wrapper
{
    width: 700px;
    margin: 3px auto;
    padding: 0;
    list-style-type: none;
    text-align: center;
}

.carousel-progress-node-wrapper
{
    display: inline-block;
    zoom: 1; /*ie fix for inline-block*/
    *display: inline; /*ie fix for inline-block*/
    margin: 1px;
    padding: 0;
}

.carousel-progress-node-wrapper.carousel-current
{
    margin: 0;
    border: 1px solid #FFAE00;
}

.carousel-progress-node
{
    height: 4px;
    width: 20px;
    margin: 1px;
    padding: 0;
    -webkit-box-shadow: inset 0 2px 2px -2px #696868;
    -moz-box-shadow: inset 0 2px 2px -2px #696868;
    -ms-box-shadow: inset 0 2px 2px -2px #696868;
    -o-box-shadow: inset 0 2px 2px -2px #696868;
    box-shadow: inset 0 2px 2px -2px #696868;
}

.carousel-answered-question .carousel-progress-node
{
    background-color: #3B6CBC;
}

.carousel-unanswered-question .carousel-progress-node
{
    background-color: #D5D5D5;
}

.carousel-question-wrapper
{
    position: relative;
    border: 1px solid #EDEDED;
    border-radius: 5px;
    margin-bottom: 20px;
}

.carousel-questions
{
    position: relative;
	z-index: 1;
    width: 600px;
    height: 120px; /*this is a min height - is replaced in javascript by the biggest question height*/
    margin-left: auto;
    margin-right: auto;
    font-weight: bold;
    overflow: visible;
    
    -webkit-transition: -webkit-perspective .4s ease;
	-moz-transition: -moz-perspective .4s ease;
	-ms-transition: -ms-perspective .4s ease;
	-o-transition: -o-perspective .4s ease;
	transition: perspective .4s ease;

	-webkit-perspective: 600px;
	-moz-perspective: 600px;
	-ms-perspective: 600px;
	-o-perspective: 600px;
	perspective: 600px;
}

.carousel-question
{
    position: absolute;
	z-index: 3;
    height: 100%;
    width: 600px;
    display: table;
    text-align: center;

	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	-ms-transform-style: preserve-3d;
	-o-transform-style: preserve-3d;
	transform-style: preserve-3d;
	
	/*if changes are made to the ms timer you need to also change it in js and lower in the css*/
	-webkit-transition: all .8s cubic-bezier(.26, .86, .44, .985);
	-moz-transition: all .8s cubic-bezier(.26, .86, .44, .985);
	-ms-transition: all .8s cubic-bezier(.26, .86, .44, .985);
	-o-transition: all .8s cubic-bezier(.26, .86, .44, .985);
	transition: all .8s cubic-bezier(.26, .86, .44, .985);
}

.carousel-question p
{
    display: table-cell;
    vertical-align: middle;
    padding: 15px 0;
}

.carousel-btn-prev,
.carousel-btn-next
{
    position: absolute;
	z-index: 15;
    top: 50%;
    margin-top: -26px;
    height: 52px;
    width: 32px;
    visibility: hidden;
    background: url('/cf_clientutil/wix/images/arrows.png') 0 0 no-repeat;
}

.carousel-btn-prev.carousel-active,
.carousel-btn-next.carousel-active
{
    visibility: visible;
}

.carousel-btn-prev,
.confirmit-rtl .carousel-btn-next
{
    left: 5px;
    right: auto;
}

.carousel-btn-prev
{
    background-position: -48px 0;
}

.confirmit-rtl .carousel-btn-next
{
    background-position: -100px 0;
}

.carousel-btn-prev:hover,
.confirmit-rtl .carousel-btn-next:hover
{
    background-position: 0 0;
}

.carousel-btn-next,
.confirmit-rtl .carousel-btn-prev
{
    right: 5px;
    left: auto;
}

.carousel-btn-next
{
    background-position: -152px 0;
}

.confirmit-rtl .carousel-btn-prev
{
    background-position: -206px 0;
}

.carousel-btn-next:hover,
.confirmit-rtl .carousel-btn-prev:hover
{
    background-position: -254px 0;
}

/*********************************************
 * Transitions
 *********************************************/
.carousel-question
{
    visibility: hidden;
}

.carousel-question.carousel-present
{
    visibility: visible;
}

.carousel-question.carousel-past,
.confirmit-rtl .carousel-question.carousel-future
{
	-webkit-transform: translate3d(-55%, 0, 0) rotateY(-92deg) translate3d(-55%, 0, 0);
	-moz-transform: translate3d(-55%, 0, 0) rotateY(-92deg) translate3d(-55%, 0, 0);
	-ms-transform: translate3d(-55%, 0, 0) rotateY(-92deg) translate3d(-55%, 0, 0);
	-o-transform: translate3d(-55%, 0, 0) rotateY(-92deg) translate3d(-55%, 0, 0);
	transform: translate3d(-55%, 0, 0) rotateY(-92deg) translate3d(-55%, 0, 0);
}

.carousel-question.carousel-future,
.confirmit-rtl .carousel-question.carousel-past
{
	-webkit-transform: translate3d(55%, 0, 0) rotateY(92deg) translate3d(55%, 0, 0);
	-moz-transform: translate3d(55%, 0, 0) rotateY(92deg) translate3d(55%, 0, 0);
	-ms-transform: translate3d(55%, 0, 0) rotateY(92deg) translate3d(55%, 0, 0);
	-o-transform: translate3d(55%, 0, 0) rotateY(92deg) translate3d(55%, 0, 0);
	transform: translate3d(55%, 0, 0) rotateY(92deg) translate3d(55%, 0, 0);
}

/* Other answer styling*/
.carousel-question input,
.carousel-question textarea
{
    display: block;
    margin: 5px auto 0 auto;
    padding: 4px;
    width: 80%;
    border: 1px solid #D5D5D5;
    border-radius: 3px;
    -webkit-box-shadow: 0px 0px 5px #DDD inset;
    -moz-box-shadow: 0px 0px 5px #DDD inset;
    -o-box-shadow: 0px 0px 5px #DDD inset;
    box-shadow: 0px 0px 5px #DDD inset;
}

.carousel-question input:focus,
.carousel-question textarea:focus
{
    -webkit-box-shadow: 0px 0px 7px #CCC inset;
    -moz-box-shadow: 0px 0px 7px #CCC inset;
    -o-box-shadow: 0px 0px 7px #CCC inset;
    box-shadow: 0px 0px 7px #CCC inset;
}

/*Scale styling*/
.carousel-scale-wrapper
{
    margin-left: auto;
    margin-right: auto;
}

.carousel-layout .carousel-scale-row.carousel-inactive
{
    display: none;
}

/*Answer Buttons styling*/
.carousel-layout .confirmit-abtn-table-grid thead,
.carousel-layout .confirmit-abtn-table-grid th
{
    display: none;
}

.carousel-layout .confirmit-abtn-table-grid
{
    border-spacing: 15px 0;
    margin-top: 0;
    margin-bottom: 0;
    margin-left: auto !important;
    margin-right: auto !important;
}

.carousel-layout .confirmit-abtn-table-grid tbody
{
    visibility: hidden;
}

.carousel-ready .confirmit-abtn-table-grid tbody
{
    visibility: visible;
}

/*Star Rating*/
.carousel-layout .confirmit-gb-l,
.carousel-layout .clear_b
{ 
    display: none; 
}

.carousel-layout .confirmit-gb-c
{ 
    visibility: hidden;
}

.carousel-ready .confirmit-gb-c
{
    visibility: visible;
}

.carousel-layout .confirmit-gb-c
{
    margin-left: 0;
}

.carousel-layout .confirmit-gb-c.carousel-current 
{
    display: block;
}

.carousel-layout .confirmit-gb-c table
{
    margin: 0 auto;
}